Subject: bug#7587: 23.2; `format-mode-line' makes Emacs crash

From: "Drew Adams" <[email-masked]>
Date: Wed, 15 Dec 2010 20:39:01 -0800

> I've changed format-mode-line so that if you pass a face argument to
> FACES, it should be one of `default', `mode-line', etc.  Any 
> other face gets treated as `default'.

I guess that restriction will be documented in the doc string, then? Thx.